<?php
/**
 * sample code for GiroConnect integration of a notification page
 *
 * @filesource
 * @package Samples
 * @version $Revision: 28 $ / $Date: 2014-05-22 15:16:32 +0200 (Thu, 22 May 2014) $
 */
require_once '../GiroCheckout_SDK/GiroCheckout_SDK.php';


//set the secret for hash validation of the received data
$projectPassword = "xxxxx";

//init notification and pass transaction type, set password and parse the received data
$notify = new GiroCheckout_SDK_Notify('giropayTransactionWithGiropayID');
$notify->setSecret($projectPassword);
$notify->parseNotification($_GET);


//check response and update transaction
if($notify->paymentSuccessful()) {
    $notify->getResponseParam('gcReference');
    $notify->getResponseParam('gcMerchantTxId');
    $notify->getResponseParam('gcBackendTxId');
    $notify->getResponseParam('gcAmount');
    $notify->getResponseParam('gcCurrency');
    $notify->getResponseParam('gcResultPayment');

    if($notify->avsSuccessful()) {
        $notify->getResponseParam('gcResultAVS');
    }

    $notify->sendOkStatus();
    exit;
}
else {
    $notify->getResponseParam('gcReference');
    $notify->getResponseParam('gcMerchantTxId');
    $notify->getResponseParam('gcBackendTxId');
    $notify->getResponseParam('gcResultPayment');

    $notify->sendOkStatus();
    exit;
}

$notify->sendOtherStatus();